## mlt 0.9.0

=== Makefile ===
SUBDIRS = src/framework \
		  src/mlt++ \
		  src/melt \
		  src/modules \
		  src/swig \
		  profiles

all clean:
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) -s -C $$subdir depend || exit 1; \
		$(MAKE) -C $$subdir $@ || exit 1; \
	done

distclean:
	rm mlt-config packages.dat; \
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) -C $$subdir $@ || exit 1; \
	done; \
	rm config.mak;

dist-clean: distclean

include config.mak

install:
	install -d "$(DESTDIR)$(prefix)/bin"
	install -d "$(DESTDIR)$(prefix)/include"
	install -d "$(DESTDIR)$(libdir)"
	install -d "$(DESTDIR)$(moduledir)"
ifeq ($(extra_versioning), true)
	ln -s "$(moduledir)" "$(DESTDIR)$(unversionedmoduledir)"
endif
	install -d "$(DESTDIR)$(libdir)/pkgconfig"
	install -d "$(DESTDIR)$(mltdatadir)"
ifeq ($(extra_versioning), true)
	ln -s "$(mltdatadir)" "$(DESTDIR)$(unversionedmltdatadir)"
endif
	install -c -m 644 *.pc "$(DESTDIR)$(libdir)/pkgconfig"
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) DESTDIR=$(DESTDIR) -C $$subdir $@ || exit 1; \
	done
	cp -R presets "$(DESTDIR)$(mltdatadir)"

uninstall:
	rm -f "$(DESTDIR)$(bindir)"/mlt-config
	rm -f "$(DESTDIR)$(libdir)"/pkgconfig/mlt-framework.pc
	rm -f "$(DESTDIR)$(libdir)"/pkgconfig/mlt++.pc
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) DESTDIR=$(DESTDIR) -C $$subdir $@ || exit 1; \
	done
	rm -rf "$(DESTDIR)$(prefix)/include/mlt"
	rm -rf "$(DESTDIR)$(mltdatadir)"
ifeq ($(compat_dirs), true)
	rm -rf "$(DESTDIR)$(prefix)/share/mlt"
endif

dist:
	git archive --format=tar --prefix=mlt-$(version)/ v$(version) | gzip >mlt-$(version).tar.gz

validate-yml:
	for file in `find src/modules -type f -name \*.yml`; do \
		echo "validate: $$file"; \
		kwalify -f src/framework/metaschema.yaml $$file || exit 1; \
	done

=== src/examples/Makefile ===
CXXFLAGS += -Wall -g `pkg-config mlt++ --cflags` 
LDFLAGS += `pkg-config mlt++ --libs`
CC=c++

all:		play

play:		play.o

play.o:		play.cpp

clean:
	$(RM) play play.o

distclean: clean

install:

uninstall:

=== src/framework/Makefile ===
include ../../config.mak
include config.mak

NAME = libmlt$(LIBSUF)
TARGET = $(NAME).$(version)

ifeq ($(targetos), Darwin)
NAME = libmlt$(LIBSUF)
TARGET = libmlt.$(version)$(LIBSUF)
SONAME = libmlt.$(soversion)$(LIBSUF)
SHFLAGS += -install_name $(libdir)/$(SONAME) -current_version $(version) -compatibility_version $(soversion)
else ifeq ($(targetos), MinGW)
NAME = libmlt$(LIBSUF)
TARGET = libmlt-$(soversion)$(LIBSUF)
SHFLAGS += -Wl,--output-def,libmlt.def
else
NAME = libmlt$(LIBSUF)
TARGET = $(NAME).$(version)
SONAME = $(NAME).$(soversion)
SHFLAGS += -Wl,-soname,$(SONAME)
endif

ifeq ($(targetos), Linux)
SHFLAGS += -Wl,--version-script=mlt.vers
endif

OBJS = mlt_frame.o \
	   mlt_version.o \
	   mlt_geometry.o \
	   mlt_deque.o \
	   mlt_property.o \
	   mlt_properties.o \
	   mlt_events.o \
	   mlt_parser.o \
	   mlt_service.o \
	   mlt_producer.o \
	   mlt_multitrack.o \
	   mlt_playlist.o \
	   mlt_consumer.o \
	   mlt_filter.o \
	   mlt_transition.o \
	   mlt_field.o \
	   mlt_tractor.o \
	   mlt_factory.o \
	   mlt_repository.o \
	   mlt_pool.o \
	   mlt_tokeniser.o \
	   mlt_profile.o \
	   mlt_log.o \
	   mlt_cache.o \
	   mlt_animation.o

INCS = mlt_consumer.h \
	   mlt_version.h \
	   mlt_factory.h \
	   mlt_filter.h \
	   mlt.h \
	   mlt_multitrack.h \
	   mlt_pool.h \
	   mlt_properties.h \
	   mlt_events.h \
	   mlt_parser.h \
	   mlt_repository.h \
	   mlt_tractor.h \
	   mlt_types.h \
	   mlt_deque.h \
	   mlt_field.h \
	   mlt_frame.h \
	   mlt_geometry.h \
	   mlt_playlist.h \
	   mlt_producer.h \
	   mlt_property.h \
	   mlt_service.h  \
	   mlt_transition.h \
	   mlt_tokeniser.h \
	   mlt_profile.h \
	   mlt_log.h \
	   mlt_cache.h \
	   mlt_animation.h

SRCS := $(OBJS:.o=.c)

ifeq ($(targetos), MinGW)
OBJS += ../win32/win32.o
SRCS += ../win32/win32.c
endif

CFLAGS += $(RDYNAMIC) -DPREFIX_DATA="\"$(mltdatadir)\"" -DPREFIX_LIB="\"$(moduledir)\""

LDFLAGS += $(LIBDL) -lpthread -lm

all:	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)
		ln -sf $(TARGET) $(NAME)
		if [ "$(targetos)" != "MinGW" ]; then \
			ln -sf $(TARGET) $(SONAME) ; \
		fi

depend:	$(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET) $(NAME) $(SONAME)

install:
	install -d $(DESTDIR)$(libdir)
	if [ "$(targetos)" = "MinGW" ]; then \
		install -m 755 $(TARGET) $(DESTDIR)$(prefix) ; \
		install -m 755 $(TARGET) $(DESTDIR)$(libdir)/libmlt.dll ; \
		install -m 644 libmlt.def $(DESTDIR)$(libdir) ; \
	else \
		install -m 755 $(TARGET) $(DESTDIR)$(libdir) ; \
		ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(SONAME) ; \
		ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(NAME) ; \
	fi
	install -d "$(DESTDIR)$(prefix)/include/mlt/framework"
	install -m 644 $(INCS) "$(DESTDIR)$(prefix)/include/mlt/framework"
	install -d "$(DESTDIR)$(mltdatadir)"
	install -m 644 metaschema.yaml "$(DESTDIR)$(mltdatadir)"

uninstall:
	rm -f "$(DESTDIR)$(libdir)/$(TARGET)"
	if [ "$(targetos)" != "MinGW" ]; then \
		rm -f "$(DESTDIR)$(libdir)/$(SONAME)" ; \
		rm -f "$(DESTDIR)$(libdir)/$(NAME)" ; \
	fi
	rm -rf "$(DESTDIR)$(prefix)/include/mlt/framework"
	rm -f "$(DESTDIR)$(mltdatadir)/metaschema.yaml"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/melt/Makefile ===
include ../../config.mak

OBJS = melt.o \
	   io.o

CFLAGS += -I.. $(RDYNAMIC) -DVERSION=\"$(version)\"

LDFLAGS += -L../framework -lmlt -lpthread

SRCS := $(OBJS:.o=.c)

ifeq ($(targetos), MinGW)
ifeq (, $(findstring MELT_NOSDL, $(CFLAGS)))
CFLAGS += `sdl-config --cflags`
LDFLAGS += `sdl-config --libs`
endif
bindir = $(prefix)
endif

all: $(meltname)

$(meltname): $(OBJS)
		$(CC) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(meltname)

install:	all
	install -d "$(DESTDIR)$(bindir)"
	install -c -m 755 $(meltname) "$(DESTDIR)$(bindir)"
ifeq ($(extra_versioning), true)
ifeq ($(melt_noversion), false)
	ln -s $(meltname) "$(DESTDIR)$(bindir)/melt"
endif
endif

uninstall:
	rm -f "$(DESTDIR)$(bindir)/$(meltname)"
ifeq ($(extra_versioning), true)
ifeq ($(melt_noversion), false)
	rm -f "$(DESTDIR)$(bindir)/melt"
endif
endif

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/mlt++/Makefile ===
include ../../config.mak
include config.mak
INSTALL = install

ifeq ($(targetos), Darwin)
NAME = libmlt++$(LIBSUF)
TARGET = libmlt++.$(version)$(LIBSUF)
SONAME = libmlt++.$(soversion)$(LIBSUF)
LIBFLAGS += -install_name $(libdir)/$(SONAME) -current_version $(version) -compatibility_version $(soversion)
else ifeq ($(targetos), MinGW)
NAME = libmlt++$(LIBSUF)
TARGET = libmlt++-$(soversion)$(LIBSUF)
CXXFLAGS += -DMLTPP_EXPORTS
LIBFLAGS += -Wl,--output-def,libmlt++.def
else
NAME = libmlt++$(LIBSUF)
TARGET = $(NAME).$(version)
SONAME = $(NAME).$(soversion)
LIBFLAGS += -Wl,-soname,$(SONAME)
endif

CXXFLAGS += -I.. $(RDYNAMIC) -DVERSION=\"$(version)\" -fvisibility=hidden

LDFLAGS += -L../framework -lmlt
ifeq ($(targetos), Linux)
LDFLAGS += -Wl,--version-script=mlt++.vers
endif

OBJS = MltConsumer.o \
	   MltDeque.o \
	   MltEvent.o \
	   MltFactory.o \
	   MltField.o \
	   MltFilter.o \
	   MltFilteredConsumer.o \
	   MltFilteredProducer.o \
	   MltFrame.o \
	   MltGeometry.o \
	   MltMultitrack.o \
	   MltParser.o \
	   MltPlaylist.o \
	   MltProducer.o \
	   MltProfile.o \
	   MltProperties.o \
	   MltPushConsumer.o \
	   MltRepository.o \
	   MltService.o \
	   MltTokeniser.o \
	   MltTractor.o \
	   MltTransition.o

SRCS = $(OBJS:.o=.cpp)
HEADERS = config.h Mlt.h $(OBJS:.o=.h)

all:		$(TARGET)

$(TARGET):	$(OBJS)
	$(CXX) $(LIBFLAGS) -o $@ $(OBJS) $(LDFLAGS)
	ln -sf $(TARGET) $(NAME)
	if [ "$(targetos)" != "MinGW" ]; then \
		ln -sf $(TARGET) $(SONAME) ; \
	fi

depend:	$(SRCS)
	$(CXX) -MM $(CXXFLAGS) $^ 1>.depend

clean:
	$(RM) $(OBJS) $(TARGET) $(NAME) $(SONAME)

distclean:	clean

install:
	$(INSTALL) -d "$(DESTDIR)$(libdir)"
	if [ "$(targetos)" = "MinGW" ]; then \
		$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(prefix) ; \
		$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(libdir)/libmlt++.dll ; \
		$(INSTALL) -m 644 libmlt++.def $(DESTDIR)$(libdir) ; \
	else \
		$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(libdir) ; \
		ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(SONAME) ; \
		ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(NAME) ; \
	fi
	$(INSTALL) -d "$(DESTDIR)$(prefix)/include/mlt++"
	$(INSTALL) -m 644 $(HEADERS) "$(DESTDIR)$(prefix)/include/mlt++"

uninstall:
	rm -f "$(DESTDIR)$(libdir)/$(TARGET)"
	if [ "$(targetos)" != "MinGW" ]; then \
		rm -f "$(DESTDIR)$(libdir)/$(NAME)" ; \
		rm -f "$(DESTDIR)$(libdir)/$(SONAME)" ; \
	fi
	rm -rf "$(DESTDIR)$(prefix)/include/mlt++"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/Makefile ===
include ../../config.mak
include make.inc

all clean depend:
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		if [ -f $$subdir/Makefile -a ! -f disable-$$subdir ] ; \
		then $(MAKE) -C $$subdir $@ || exit 1; \
		fi \
	done

distclean:
	rm -f consumers.dat filters.dat producers.dat transitions.dat make.inc; \
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		if [ -f $$subdir/Makefile -a ! -f disable-$$subdir ] ; \
		then $(MAKE) -C $$subdir $@ || exit 1; \
		fi \
	done

install:
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		if [ -f $$subdir/Makefile -a ! -f disable-$$subdir ] ; \
		then $(MAKE) DESTDIR=$(DESTDIR) -C $$subdir $@ || exit 1; \
		fi \
	done

uninstall:
	rm -rf "$(DESTDIR)$(moduledir)"

=== src/swig/Makefile ===
include ../../config.mak
include config.mak

all clean:
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		if [ -x $$subdir/build -a ! -f .$$subdir -o $@ = clean ] ; \
		then echo -n Building $$subdir... ; \
			cd $$subdir && output=`CXXFLAGS="$(CXXFLAGS)" ./build $@ 2>&1` ; \
			if [ $$? -eq 0 ] ; \
			then echo OK && touch ../.$$subdir ; \
			else echo $$output && exit 1 ; \
			fi ; \
			cd .. ; \
			if [ -f $$subdir/Makefile -a -f .$$subdir ] ; \
			then $(MAKE) -C $$subdir $@ || exit 1 ; \
			fi ; \
			if [ $@ = clean ] ; \
			then rm -f .$$subdir ; \
			fi ; \
		fi \
	done

distclean: clean

depend:

install:

uninstall:

=== src/modules/avformat/Makefile ===
CFLAGS += -I../..
LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak
include config.mak

LDFLAGS += -lavformat$(AVFORMAT_SUFFIX)
LDFLAGS += -lavcodec$(AVFORMAT_SUFFIX)
LDFLAGS += -lavutil$(AVFORMAT_SUFFIX)
LDFLAGS += -lswscale$(AVFORMAT_SUFFIX)
LDFLAGS += $(EXTRA_LIBS)

ifndef CODECS
TARGET = ../libmltffmpeg$(LIBSUF)
else
TARGET = ../libmltavformat$(LIBSUF)
endif

OBJS = factory.o

ifdef FILTERS
OBJS += filter_avcolour_space.o \
	    filter_avresample.o \
	    filter_avdeinterlace.o \
	    filter_swscale.o
CFLAGS += -DFILTERS
endif

ifdef VDPAU
CFLAGS += -DVDPAU `pkg-config --cflags x11`
LDFLAGS += $(LIBDL) `pkg-config --libs x11`
endif

ifdef CODECS
OBJS += producer_avformat.o \
	    consumer_avformat.o
CFLAGS += -DCODECS
endif

ifdef DEVICES
CFLAGS += -DAVDEVICE
LDFLAGS += -lavdevice$(AVFORMAT_SUFFIX)
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
	rm -f .depend

clean:	
	rm -f $(OBJS) ../libmltffmpeg$(LIBSUF) ../libmltavformat$(LIBSUF)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/avformat"
	install -m 644 producer_avformat.yml "$(DESTDIR)$(mltdatadir)/avformat"
	install -m 644 consumer_avformat.yml "$(DESTDIR)$(mltdatadir)/avformat"

uninstall:
	rm "$(DESTDIR)$(moduledir)/libmltavformat$(LIBSUF)" 2> /dev/null || true
	rm "$(DESTDIR)$(moduledir)/libmltffmpeg$(LIBSUF)" 2> /dev/null || true
	rm -rf "$(DESTDIR)$(mltdatadir)/avformat"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/avsync/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm -lpthread

include ../../../config.mak

TARGET = ../libmltavsync$(LIBSUF)

OBJS = factory.o \
	   producer_blipflash.o \
	   consumer_blipflash.o

ASM_OBJS = 

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS) $(ASM_OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(ASM_OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(ASM_OBJS) $(TARGET) 

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/avsync"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/avsync"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/core/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm -lpthread

include ../../../config.mak

TARGET = ../libmltcore$(LIBSUF)

OBJS = factory.o \
	   producer_colour.o \
	   producer_consumer.o \
	   producer_hold.o \
	   producer_loader.o \
	   producer_melt.o \
	   producer_noise.o \
	   producer_ppm.o \
	   filter_audiochannels.o \
	   filter_audioconvert.o \
	   filter_audiowave.o \
	   filter_brightness.o \
	   filter_channelcopy.o \
	   filter_crop.o \
	   filter_data_feed.o \
	   filter_data_show.o \
	   filter_fieldorder.o \
	   filter_gamma.o \
	   filter_greyscale.o \
	   filter_imageconvert.o \
	   filter_luma.o \
	   filter_mirror.o \
	   filter_mono.o \
	   filter_obscure.o \
	   filter_panner.o \
	   filter_region.o \
	   filter_rescale.o \
	   filter_resize.o \
	   filter_transition.o \
	   filter_watermark.o \
	   transition_composite.o \
	   transition_luma.o \
	   transition_mix.o \
	   transition_region.o \
	   consumer_multi.o \
	   consumer_null.o

ifdef SSE2_FLAGS
ifdef ARCH_X86_64
OBJS += composite_line_yuv_sse2_simple.o
endif
endif

ASM_OBJS = 

SRCS := $(OBJS:.o=.c)

ifeq ($(targetos), MinGW)
CFLAGS += -I../../win32
OBJS += ../../win32/fnmatch.o
SRCS += ../../win32/fnmatch.c
endif

all: 	$(TARGET)

$(TARGET): $(OBJS) $(ASM_OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(ASM_OBJS) $(LDFLAGS)

composite_line_yuv_mmx.o: composite_line_yuv_mmx.S
	$(CC) -o $@ -c composite_line_yuv_mmx.S

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(ASM_OBJS) $(TARGET) 

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/core"
	install -m 644 data_fx.properties "$(DESTDIR)$(mltdatadir)/core"
	install -m 644 loader.dict "$(DESTDIR)$(mltdatadir)/core"
	install -m 644 loader.ini "$(DESTDIR)$(mltdatadir)/core"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/core"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/decklink/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak

TARGET = ../libmltdecklink$(LIBSUF)

OBJS = consumer_decklink.o \
	producer_decklink.o \
	common.o

ifeq ($(targetos), MinGW)
CFLAGS += -Iwin
OBJS += win/DeckLinkAPI_i.o
LDFLAGS += -lole32
else
ifeq ($(targetos), Darwin)
CFLAGS += -Idarwin
OBJS += darwin/DeckLinkAPIDispatch.o
else
CFLAGS += -Ilinux
OBJS += linux/DeckLinkAPIDispatch.o
endif
endif

SRCS := $(OBJS:.o=.cpp)

CXXFLAGS += $(CFLAGS) -Wno-deprecated -Wno-multichar -fno-rtti

LDFLAGS += $(LIBDL)

all: 	$(TARGET)
	
$(TARGET): $(OBJS)
		$(CXX) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CXX) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/decklink"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/decklink"

uninstall:
	rm "$(DESTDIR)$(moduledir)/libmltdecklink$(LIBSUF)" 2> /dev/null || true
	rm -rf "$(DESTDIR)$(mltdatadir)/decklink"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/dgraft/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt

include ../../../config.mak

TARGET = ../libmltdgraft$(LIBSUF)

OBJS = factory.o \
	   filter_telecide.o

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"

ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mlt (0.9.0-3) unstable; urgency=high

  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Overwrite debian-watch-may-check-gpg-signature warning. There is no GPG
    signature available.
  * Add upstream patch 03-freetype-ftbfs to fix a FTBFS.
    Closes: #733375
  * Patch 02-crash-empty-ladspa-path was not applied, because it was missing in
    debian/patches/series.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 03 Jan 2014 12:01:01 +0100

mlt (0.9.0-2) unstable; urgency=low

  * Add upstream patch 02-crash-empty-ladspa-path to fix a crash if LADSPA_PATH
    is empty.
    Closes: #726197
  * Fix lintian error pkg-config-multi-arch-wrong-dir.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 17 Oct 2013 15:11:59 +0200

mlt (0.9.0-1) unstable; urgency=low

  * New upstream release.
    - Rewrite patch 01-changed-preset-path.
    - Build dependency on libqt4-dev and libqt4-opengl-dev added.
    - Bump SONAME of libmlt to 6.
  * Add dependency information to libmlt and libmlt++ with dh_makeshlibs.
    Closes: #709249
  * Build depend on libav-tools instead of ffmpeg.
  * Create debian/copyright from scratch.
    Closes: #711858
  * Rename python-mlt5 package to python-mlt.
  * Overwrite false positive lintian warning spelling-error-in-binary.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 12 Jul 2013 13:29:29 +0200

=== debian/control ===
Source: mlt
Priority: optional
Maintainer: Fathi Boudra <fabo@debian.org>
Uploaders: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 9),
 libav-tools,
 kdelibs5-dev,
 libqt4-dev,
 libqt4-opengl-dev,
 ladspa-sdk,
 libavdevice-dev,
 libavformat-dev,
 libdv4-dev,
 libgtk2.0-dev,
 libjack-dev,
 libquicktime-dev [!hurd-i386],
 libsamplerate-dev,
 libsdl1.2-dev,
 libsox-dev (>= 14.3.0),
 libswscale-dev,
 libvorbis-dev,
 libxine-dev,
 libxml2-dev,
 imagemagick,
 frei0r-plugins-dev,
 swig,
 hardening-wrapper,
 python-all-dev (>= 2.6.6-3~)
Standards-Version: 3.9.5
Section: libs
Homepage: http://www.mltframework.org

Package: libmlt-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 libmlt6 (= ${binary:Version})
Description: multimedia framework (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework.

Package: libmlt6
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: libmlt-data (>= ${source:Version})
Conflicts: libmlt0.2,
 libmlt0.2.5,
 libmlt1,
 libmlt2,
 libmlt3,
 libmlt4,
 libmlt5
Replaces: libmlt0.2,
 libmlt0.2.5,
 libmlt1,
 libmlt2,
 libmlt3,
 libmlt4,
 libmlt5
Description: multimedia framework (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework.

Package: libmlt-data
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Enhances: libmlt6
Description: multimedia framework (data)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the data files for the MLT multimedia framework.

Package: libmlt++-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libmlt++3 (= ${binary:Version}),
 ${misc:Depends}
Description: MLT multimedia framework C++ wrapper (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework C++ wrapper.

Package: libmlt++3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libmlt++0.2,
 libmlt++2
Replaces: libmlt++0.2,
 libmlt++2
Description: MLT multimedia framework C++ wrapper (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework C++ wrapper.

Package: libmlt-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libmlt6 (= ${binary:Version}),
 libmlt++3 (= ${binary:Version})
Description: multimedia framework (debugging symbols)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the debugging symbols for libmlt++ and libmlt

Package: melt
Section: utils
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libmlt-data (>= ${source:Version})
Description: command line media player and video editor
 melt was meant as a test tool for the MLT framework, but it is also a powerful
 multitrack command line oriented video editor. It could also used as an
 minimalistic media player for audio and video files.

Package: python-mlt
Architecture: any
Section: python
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Conflicts: python-mlt2,
 python-mlt3,
 python-mlt5
Replaces: python-mlt2,
 python-mlt3,
 python-mlt5
Description: multimedia framework (python bindings)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the Python bindings for the mlt package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

# Enable MMX and SSE on amd64 architecture
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "amd64"))
	EXTRA_CONFIGURE_OPTS += --enable-mmx --enable-sse
else
	EXTRA_CONFIGURE_OPTS += --disable-mmx --disable-sse --disable-sse2
endif

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-gpl \
	--enable-gpl3 \
	--enable-motion_est \
	$(EXTRA_CONFIGURE_OPTS) \
	--avformat-shared=/usr \
	--avformat-swscale \
	--swig-languages=python \
	--qimage-libdir=/usr/lib \
	--disable-rtaudio \
	--disable-swfdec

PYTHON_DIR := usr/lib/$(shell pyversions -d)/dist-packages

%:
	dh $@ --with python2

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_clean:
	[ ! -f config.mak ] || $(MAKE) distclean
	rm -f config.log *.pc src/modules/gtk2/config.h
	find \( -name '*.o' -o -name '*.mak' -o -name '.depend' \) -delete

override_dh_install:
	mkdir -p debian/python-mlt/$(PYTHON_DIR)
	install -m 644 src/swig/python/mlt.py debian/python-mlt/$(PYTHON_DIR)/mlt.py
	install -m 644 src/swig/python/_mlt.so debian/python-mlt/$(PYTHON_DIR)/_mlt.so
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=libmlt-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_python2:
	dh_python2 --no-guessing-versions

=== debian/watch ===
version=3
opts=dversionmangle=s/\+git\d+// \
	http://sf.net/mlt/mlt-([\d.]*)\.tar\.gz

## mlt 0.9.2

=== src/modules/avformat/Makefile ===
--- 
+++ 
@@ -27,8 +27,8 @@
 endif
 
 ifdef VDPAU
-CFLAGS += -DVDPAU `pkg-config --cflags x11`
-LDFLAGS += $(LIBDL) `pkg-config --libs x11`
+CFLAGS += -DVDPAU $(shell pkg-config pkg-config --cflags x11)
+LDFLAGS += $(LIBDL) $(shell pkg-config pkg-config --libs x11)
 endif
 
 ifdef CODECS

=== src/modules/plus/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm -lpthread

include ../../../config.mak

TARGET = ../libmltplus$(LIBSUF)

OBJS = consumer_blipflash.o \
	   factory.o \
	   filter_affine.o \
	   filter_charcoal.o \
	   filter_dynamictext.o \
	   filter_invert.o \
	   filter_lift_gamma_gain.o \
	   filter_loudness.o \
	   filter_rgblut.o \
	   filter_sepia.o \
	   producer_blipflash.o \
	   producer_count.o \
	   transition_affine.o \
	   ebur128/ebur128.o

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET) 

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/plus"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/plus"

ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mlt (0.9.2-2) unstable; urgency=medium

  * Add upstream patch 02-audio-rendering-libav0.11 to fix audio rendering with
    libav 0.11.
    Closes: #761593
  * Add upstream patch 03-encoding-libavformatv56 to fix some more encoding
    errors with libavformat v56.
  * Add upstream patch 04-deprecation-avstream.codec.time_base-muxer to fix a
    deprecation warning.
    Closes: #760773
  * Bump Standards-Version to 3.9.6 (no changes required).
  * Fix lintian warning capitalization-error-in-description-synopsis.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 24 Sep 2014 19:59:41 +0200

mlt (0.9.2-1) unstable; urgency=medium

  * New upstream release.
    - Refresh hunky patch 01-changed-preset-path.
    - Remove merged patch 02-crash-empty-ladspa-path.
    - Remove merged patch 03-freetype-ftbfs.
  * Overwrite lintian warning intra-source-package-circular-dependency, because
    those dependencies are required.
  * Move away from hardening-wrapper.
  * Overwrite some hardening warnings in python-mlt.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 09 Jul 2014 10:06:36 +0200

mlt (0.9.0+dfsg1-1) unstable; urgency=high

  * Remove demo/txtField.swf from source and repackage mlt as +dfsg1.
    Closes: #737428
  * Migrate package to libxine2.
    Closes: #741362
  * Remove useless Pre-Depends fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 03 Apr 2014 10:45:58 +0200

=== debian/control ===
--- 
+++ 
@@ -19,21 +19,19 @@
  libsox-dev (>= 14.3.0),
  libswscale-dev,
  libvorbis-dev,
- libxine-dev,
+ libxine2-dev,
  libxml2-dev,
  imagemagick,
  frei0r-plugins-dev,
  swig,
- hardening-wrapper,
  python-all-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://www.mltframework.org
 
 Package: libmlt-dev
 Section: libdevel
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
  libmlt6 (= ${binary:Version})
 Description: multimedia framework (development)
@@ -49,7 +47,6 @@
 
 Package: libmlt6
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Recommends: libmlt-data (>= ${source:Version})
@@ -80,7 +77,6 @@
 
 Package: libmlt-data
 Architecture: all
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Enhances: libmlt6
 Description: multimedia framework (data)
@@ -96,7 +92,6 @@
 Package: libmlt++-dev
 Section: libdevel
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: libmlt++3 (= ${binary:Version}),
  ${misc:Depends}
 Description: MLT multimedia framework C++ wrapper (development)
@@ -112,7 +107,6 @@
 
 Package: libmlt++3
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Conflicts: libmlt++0.2,
@@ -134,7 +128,6 @@
 Section: debug
 Priority: extra
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  libmlt6 (= ${binary:Version}),
@@ -152,7 +145,6 @@
 Package: melt
 Section: utils
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  libmlt-data (>= ${source:Version})
@@ -164,7 +156,6 @@
 Package: python-mlt
 Architecture: any
 Section: python
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  ${python:Depends}
@@ -175,7 +166,7 @@
 Replaces: python-mlt2,
  python-mlt3,
  python-mlt5
-Description: multimedia framework (python bindings)
+Description: multimedia framework (Python bindings)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
  editors, media players, transcoders, web streamers and many more types of

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_BUILD_HARDENING=1
 
 # Enable MMX and SSE on amd64 architecture
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "amd64"))

=== debian/watch ===
version=3
opts=dversionmangle=s/\+git\d+//;s/\+dfsg\d// \
	http://sf.net/mlt/mlt-([\d.]*)\.tar\.gz

## mlt 0.9.2+git20141027

=== src/examples/Makefile ===
CXXFLAGS += -Wall -g $(shell pkg-config mlt++ --cflags)
LDFLAGS += $(shell pkg-config mlt++ --libs)
CC=c++

all:		play

play:		play.o

play.o:		play.cpp

clean:
	$(RM) play play.o

distclean: clean

install:

uninstall:

=== src/modules/core/Makefile ===
--- 
+++ 
@@ -13,7 +13,6 @@
 	   producer_loader.o \
 	   producer_melt.o \
 	   producer_noise.o \
-	   producer_ppm.o \
 	   filter_audiochannels.o \
 	   filter_audioconvert.o \
 	   filter_audiowave.o \
@@ -40,6 +39,7 @@
 	   transition_luma.o \
 	   transition_mix.o \
 	   transition_region.o \
+	   transition_matte.o \
 	   consumer_multi.o \
 	   consumer_null.o

=== src/modules/kdenlive/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt

include ../../../config.mak

TARGET = ../libmltkdenlive$(LIBSUF)

OBJS = factory.o \
	   filter_boxblur.o \
	   filter_freeze.o \
	   filter_wave.o \
	   producer_framebuffer.o


LDFLAGS += -lm

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/kdenlive"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/kdenlive"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/plus/Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	   filter_invert.o \
 	   filter_lift_gamma_gain.o \
 	   filter_loudness.o \
+	   filter_lumakey.o \
 	   filter_rgblut.o \
 	   filter_sepia.o \
 	   producer_blipflash.o \

=== src/modules/plusgpl/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm -lpthread

include ../../../config.mak

TARGET = ../libmltplusgpl$(LIBSUF)

OBJS = factory.o \
	   consumer_cbrts.o \
	   filter_burn.o \
	   filter_lumaliftgaingamma.o \
	   image.o \
	   utils.o \
	   filter_rotoscoping.o \
	   cJSON.o \
	   filter_telecide.o

ifeq ($(targetos), MinGW)
LDFLAGS += -lws2_32
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d $(DESTDIR)$(mltdatadir)/plusgpl
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/plusgpl"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/qt/Makefile ===
include ../../../config.mak
include config.mak

CFLAGS := -I../.. $(CFLAGS)

LDFLAGS := -L../../framework -lmlt -lpthread -lm -L../../mlt++ -lmlt++ $(LDFLAGS)

TARGET = ../libmltqt$(LIBSUF)

OBJS = factory.o producer_qimage.o producer_kdenlivetitle.o
CPPOBJS = common.o \
	qimage_wrapper.o \
	kdenlivetitle_wrapper.o \
	consumer_qglsl.o \
	producer_qtext.o

ifdef GPL3
	CPPOBJS += transition_vqm.o
	CFLAGS += -DGPL3
endif

ifneq ($(targetos), Darwin)
ifneq ($(targetos), MinGW)
    LDFLAGS += -lX11
endif
endif

CXXFLAGS := $(QTCXXFLAGS) $(CXXFLAGS) $(CFLAGS) $(EXIFCXXFLAGS) $(KDECXXFLAGS) -Wno-deprecated

LDFLAGS += $(QTLIBS) $(EXIFLIBS) $(KDELIBS)

SRCS := $(OBJS:.o=.c) $(CPPOBJS:.o=.cpp)

all: 	$(TARGET)

$(TARGET): $(OBJS) $(CPPOBJS)
		$(CXX) $(SHFLAGS) -o $@ $(OBJS) $(CPPOBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CXX) -MM $(CXXFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend config.h config.mak

clean:	
		rm -f $(OBJS) $(TARGET) $(CPPOBJS)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/qt"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/qt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/sox/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm

include ../../../config.mak

include config.mak

TARGET = ../libmltsox$(LIBSUF)

OBJS = factory.o \
	   filter_sox.o 

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/sox"
	install -m 644 filter_sox.yml "$(DESTDIR)$(mltdatadir)/sox"
	install -m 644 filter_sox_effect.yml "$(DESTDIR)$(mltdatadir)/sox"

uninstall:
	rm "$(DESTDIR)$(moduledir)/libmltsox$(LIBSUF)" 2> /dev/null || true
	rm -rf "$(DESTDIR)$(mltdatadir)/sox"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/xine/Makefile ===
CFLAGS += -I../../

LDFLAGS += -L../../framework -lmlt

include ../../../config.mak

TARGET = ../libmltxine$(LIBSUF)

OBJS = factory.o \
	   deinterlace.o \
	   yadif.o \
	   filter_deinterlace.o

ifdef MMX_FLAGS
CFLAGS += -DARCH_X86
OBJS += cpu_accel.o
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET) 

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"

ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mlt (0.9.2+git20141027-1) unstable; urgency=low

  * New upstream git snapshot.
    - Fixed generating logfile for two-pass mode with VP8/VP9.
      Closes: #764163
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 27 Oct 2014 20:21:55 +0100

mlt (0.9.2+git20141008-1) experimental; urgency=low

  * New upstream git snapshot.
    - Remove upstream patch 02-audio-rendering-libav0.11.
    - Remove upstream patch 03-encoding-libavformatv56.
    - Remove upstream patch 04-deprecation-avstream.codec.time_base-muxer.
  * Remove unused override.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 08 Oct 2014 16:00:24 +0200

## mlt 0.9.8

=== src/modules/core/Makefile ===
--- 
+++ 
@@ -13,7 +13,9 @@
 	   producer_loader.o \
 	   producer_melt.o \
 	   producer_noise.o \
+	   producer_tone.o \
 	   filter_audiochannels.o \
+	   filter_audiomap.o \
 	   filter_audioconvert.o \
 	   filter_audiowave.o \
 	   filter_brightness.o \

=== src/modules/qt/Makefile ===
--- 
+++ 
@@ -9,14 +9,24 @@
 
 OBJS = factory.o producer_qimage.o producer_kdenlivetitle.o
 CPPOBJS = common.o \
+	filter_audiowaveform.o \
 	qimage_wrapper.o \
 	kdenlivetitle_wrapper.o \
-	consumer_qglsl.o \
 	producer_qtext.o
+
+ifdef USE_QT_OPENGL
+	CPPOBJS += consumer_qglsl.o
+	CFLAGS += -DUSE_QT_OPENGL
+endif
 
 ifdef GPL3
 	CPPOBJS += transition_vqm.o
 	CFLAGS += -DGPL3
+endif
+
+ifdef USE_FFTW
+	CPPOBJS += filter_lightshow.o
+	CFLAGS += -DUSE_FFTW
 endif
 
 ifneq ($(targetos), Darwin)

=== debian/changelog ===
mlt (0.9.8-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:56:53 +0000

mlt (0.9.8-1) unstable; urgency=medium

  * New upstream release.
  * Point debian/watch to GitHub.
  * Add additional files to dh_auto_clean.
  * Add build dependency dh-python.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 30 Jul 2015 10:07:21 +0200

mlt (0.9.6-3) unstable; urgency=low

  * Build against Qt5.
  * Update to DEP5 debian/copyright format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 08 Jul 2015 21:33:13 +0200

mlt (0.9.6-2) unstable; urgency=low

  * Switch from libav back to ffmpeg.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 08 Jul 2015 11:13:13 +0200

mlt (0.9.6-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 02 Mar 2015 08:37:41 +0100

mlt (0.9.4-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 26 Feb 2015 14:12:09 +0100

mlt (0.9.2+git20141111-1) experimental; urgency=low

  * New upstream git snapshot.
    - Fixed Opus as audio codec with WebM container.
      Closes: #764164

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 11 Nov 2014 23:02:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: mlt
 Priority: optional
-Maintainer: Fathi Boudra <fabo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Fathi Boudra <fabo@debian.org>
 Uploaders: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper (>= 9),
- libav-tools,
- kdelibs5-dev,
- libqt4-dev,
- libqt4-opengl-dev,
+ ffmpeg,
+ libqt5opengl5-dev,
+ libqt5svg5-dev,
  ladspa-sdk,
- libavdevice-dev,
- libavformat-dev,
+ libavdevice-ffmpeg-dev,
+ libavformat-ffmpeg-dev,
  libdv4-dev,
  libgtk2.0-dev,
  libjack-dev,
@@ -17,13 +17,14 @@
  libsamplerate-dev,
  libsdl1.2-dev,
  libsox-dev (>= 14.3.0),
- libswscale-dev,
+ libswscale-ffmpeg-dev,
  libvorbis-dev,
  libxine2-dev,
  libxml2-dev,
  imagemagick,
  frei0r-plugins-dev,
  swig,
+ dh-python,
  python-all-dev (>= 2.6.6-3~)
 Standards-Version: 3.9.6
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,6 @@
 	--enable-motion_est \
 	$(EXTRA_CONFIGURE_OPTS) \
 	--avformat-shared=/usr \
-	--avformat-swscale \
 	--swig-languages=python \
 	--qimage-libdir=/usr/lib \
 	--disable-rtaudio \
@@ -29,7 +28,7 @@
 
 override_dh_auto_clean:
 	[ ! -f config.mak ] || $(MAKE) distclean
-	rm -f config.log *.pc src/modules/gtk2/config.h
+	rm -f config.log *.pc src/modules/gtk2/config.h packages.dat src/modules/make.inc
 	find \( -name '*.o' -o -name '*.mak' -o -name '.depend' \) -delete
 
 override_dh_install:

=== debian/watch ===
version=3
opts=dversionmangle=s/\+git\d+//;s/\+dfsg\d// \
https://github.com/mltframework/mlt/releases \
/mltframework/mlt/archive/v(.+)\.tar\.gz

## mlt 1.0-0

=== DESCRIPTION ===
Package: mlt
Title: Most Likely Transformations
Version: 1.0-0
Date: 2018-03-07
Authors@R: person("Torsten", "Hothorn", role = c("aut", "cre"),
                  email = "Torsten.Hothorn@R-project.org", comment = c(ORCID = "0000-0001-8301-0471"))  
Description: Likelihood-based estimation of conditional transformation
  models via the most likely transformation approach described in
  Hothorn et al. (2018) <DOI:10.1111/sjos.12291>.
Depends: basefun (>= 0.0-39), variables (>= 0.0-30)
Imports: BB, alabama, stats, coneproj, graphics, methods, grDevices,
        sandwich, numDeriv, survival
Suggests: MASS, nnet, TH.data, multcomp
License: GPL-2
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2018-03-08 09:09:14 UTC; hothorn
Author: Torsten Hothorn [aut, cre] (<https://orcid.org/0000-0001-8301-0471>)
Maintainer: Torsten Hothorn <Torsten.Hothorn@R-project.org>
Repository: CRAN
Date/Publication: 2018-03-08 23:35:31 UTC

## mlt 1.0-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: mlt
 Title: Most Likely Transformations
-Version: 1.0-0
-Date: 2018-03-07
+Version: 1.0-1
+Date: 2018-04-20
 Authors@R: person("Torsten", "Hothorn", role = c("aut", "cre"),
                   email = "Torsten.Hothorn@R-project.org", comment = c(ORCID = "0000-0001-8301-0471"))  
 Description: Likelihood-based estimation of conditional transformation
@@ -14,8 +14,8 @@
 License: GPL-2
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2018-03-08 09:09:14 UTC; hothorn
+Packaged: 2018-04-20 13:22:10 UTC; hothorn
 Author: Torsten Hothorn [aut, cre] (<https://orcid.org/0000-0001-8301-0471>)
 Maintainer: Torsten Hothorn <Torsten.Hothorn@R-project.org>
 Repository: CRAN
-Date/Publication: 2018-03-08 23:35:31 UTC
+Date/Publication: 2018-04-20 13:59:59 UTC

## mlt 1.0-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: mlt
 Title: Most Likely Transformations
-Version: 1.0-1
-Date: 2018-04-20
+Version: 1.0-2
+Date: 2018-06-22
 Authors@R: person("Torsten", "Hothorn", role = c("aut", "cre"),
                   email = "Torsten.Hothorn@R-project.org", comment = c(ORCID = "0000-0001-8301-0471"))  
 Description: Likelihood-based estimation of conditional transformation
@@ -14,8 +14,8 @@
 License: GPL-2
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2018-04-20 13:22:10 UTC; hothorn
+Packaged: 2018-06-22 12:11:33 UTC; hothorn
 Author: Torsten Hothorn [aut, cre] (<https://orcid.org/0000-0001-8301-0471>)
 Maintainer: Torsten Hothorn <Torsten.Hothorn@R-project.org>
 Repository: CRAN
-Date/Publication: 2018-04-20 13:59:59 UTC
+Date/Publication: 2018-06-22 13:52:28 UTC

## mlt 1.0-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: mlt
 Title: Most Likely Transformations
-Version: 1.0-2
-Date: 2018-06-22
+Version: 1.0-3
+Date: 2018-09-17
 Authors@R: person("Torsten", "Hothorn", role = c("aut", "cre"),
                   email = "Torsten.Hothorn@R-project.org", comment = c(ORCID = "0000-0001-8301-0471"))  
 Description: Likelihood-based estimation of conditional transformation
@@ -14,8 +14,8 @@
 License: GPL-2
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2018-06-22 12:11:33 UTC; hothorn
+Packaged: 2018-09-17 14:11:37 UTC; hothorn
 Author: Torsten Hothorn [aut, cre] (<https://orcid.org/0000-0001-8301-0471>)
 Maintainer: Torsten Hothorn <Torsten.Hothorn@R-project.org>
 Repository: CRAN
-Date/Publication: 2018-06-22 13:52:28 UTC
+Date/Publication: 2018-09-17 19:10:02 UTC

## mlt 1.0-5

=== DESCRIPTION ===
Package: mlt
Title: Most Likely Transformations
Version: 1.0-5
Date: 2019-06-20
Authors@R: person("Torsten", "Hothorn", role = c("aut", "cre"),
                  email = "Torsten.Hothorn@R-project.org", comment = c(ORCID = "0000-0001-8301-0471"))  
Description: Likelihood-based estimation of conditional transformation
  models via the most likely transformation approach described in
  Hothorn et al. (2018) <DOI:10.1111/sjos.12291>.
Depends: basefun (>= 1.0-5), variables (>= 1.0-2)
Imports: BB, alabama, stats, coneproj, graphics, methods, grDevices,
        sandwich, numDeriv, survival
Suggests: MASS, nnet, TH.data, multcomp
URL: http://ctm.R-forge.R-project.org
License: GPL-2
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2019-06-21 16:02:48 UTC; hothorn
Author: Torsten Hothorn [aut, cre] (<https://orcid.org/0000-0001-8301-0471>)
Maintainer: Torsten Hothorn <Torsten.Hothorn@R-project.org>
Repository: CRAN
Date/Publication: 2019-06-21 22:10:04 UTC

## mlt 1.0-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: mlt
 Title: Most Likely Transformations
-Version: 1.0-5
-Date: 2019-06-20
+Version: 1.0-6
+Date: 2019-10-04
 Authors@R: person("Torsten", "Hothorn", role = c("aut", "cre"),
                   email = "Torsten.Hothorn@R-project.org", comment = c(ORCID = "0000-0001-8301-0471"))  
 Description: Likelihood-based estimation of conditional transformation
@@ -15,8 +15,8 @@
 License: GPL-2
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2019-06-21 16:02:48 UTC; hothorn
+Packaged: 2019-10-04 18:45:14 UTC; hothorn
 Author: Torsten Hothorn [aut, cre] (<https://orcid.org/0000-0001-8301-0471>)
 Maintainer: Torsten Hothorn <Torsten.Hothorn@R-project.org>
 Repository: CRAN
-Date/Publication: 2019-06-21 22:10:04 UTC
+Date/Publication: 2019-10-04 19:50:02 UTC

## mlt 1.0-7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: mlt
 Title: Most Likely Transformations
-Version: 1.0-6
-Date: 2019-10-04
+Version: 1.0-7
+Date: 2019-10-07
 Authors@R: person("Torsten", "Hothorn", role = c("aut", "cre"),
                   email = "Torsten.Hothorn@R-project.org", comment = c(ORCID = "0000-0001-8301-0471"))  
 Description: Likelihood-based estimation of conditional transformation
@@ -15,8 +15,8 @@
 License: GPL-2
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2019-10-04 18:45:14 UTC; hothorn
+Packaged: 2019-10-06 08:00:48 UTC; hothorn
 Author: Torsten Hothorn [aut, cre] (<https://orcid.org/0000-0001-8301-0471>)
 Maintainer: Torsten Hothorn <Torsten.Hothorn@R-project.org>
 Repository: CRAN
-Date/Publication: 2019-10-04 19:50:02 UTC
+Date/Publication: 2019-10-06 13:30:05 UTC

## mlt 1.1-1

=== DESCRIPTION ===
Package: mlt
Title: Most Likely Transformations
Version: 1.1-1
Date: 2020-01-09
Authors@R: person("Torsten", "Hothorn", role = c("aut", "cre"),
                  email = "Torsten.Hothorn@R-project.org", comment = c(ORCID = "0000-0001-8301-0471"))  
Description: Likelihood-based estimation of conditional transformation
  models via the most likely transformation approach described in
  Hothorn et al. (2018) <DOI:10.1111/sjos.12291>.
Depends: basefun (>= 1.0-5), variables (>= 1.0-2)
Imports: BB, alabama, stats, coneproj, graphics, methods, grDevices,
        sandwich, numDeriv, survival, nloptr
Suggests: MASS, nnet, TH.data, multcomp
URL: http://ctm.R-forge.R-project.org
License: GPL-2
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-01-09 19:12:58 UTC; hothorn
Author: Torsten Hothorn [aut, cre] (<https://orcid.org/0000-0001-8301-0471>)
Maintainer: Torsten Hothorn <Torsten.Hothorn@R-project.org>
Repository: CRAN
Date/Publication: 2020-01-10 17:50:11 UTC
